---
- name: Enable and start service
  ansible.builtin.systemd_service:
    name: kibana
    state: started
    enabled: true
  become: true

- name: Get service facts
  ansible.builtin.service_facts:

- name: Add firewalld rule to allow HTTP traffic.
  ansible.posix.firewalld:
    port: "{{ kb_port }}/tcp"
    permanent: true
    immediate: true
    state: enabled
  become: true
  when:
    - "'firewalld.service' in ansible_facts.services"
    - ansible_facts.services["firewalld.service"].state == "running"

- name: Wait for Kibana to be up.
  ansible.builtin.uri:
    url: "{{ 'https' if kb_ssl else 'http' }}://{{ ansible_host }}:{{ kb_port }}/api/status"
    method: GET
    status_code: 200
  register: result
  until: result.status == 200
  retries: "{{ kb_availability_check_retries }}"
  delay: "{{ kb_availability_check_delay }}"
  delegate_to: localhost
  when: kb_wait_until_ready
